package org.apache.logging.log4j.core.pattern;

import org.apache.logging.log4j.core.config.plugins.Plugin;

@Plugin(
   name = "FileDatePatternConverter",
   category = "FileConverter"
)
@ConverterKeys({"d", "date"})
public final class FileDatePatternConverter {
   private FileDatePatternConverter() {
   }

   public static PatternConverter newInstance(String[] options) {
      return options != null && options.length != 0 ? DatePatternConverter.newInstance(options) : DatePatternConverter.newInstance(new String[]{"yyyy-MM-dd"});
   }
}
